<?php

namespace WPEP\Admin\Coordinator;

use WPEP\Controller as WPEP_Controller;
use WPEP\Admin\Container\LicenseAndUpdates as WPEP_Container_LicenseAndUpdates;

/**
 * declare Plugin class.
 *
 * @since        1.0
 */

class License extends WPEP_Container_LicenseAndUpdates {

  public function get_plugin_version() {
    return WPEP_VERSION;
  }

  public function get_product_name() {
    return 'WPEP';
  }

  public function get_product_id() {
    return WPEP_Controller::SHOP_PRODUCT_ID;
  }

  public function get_options_prefix() {
    return 'wpep_license_';
  }

  public function setup() {
    $this->setup_license_and_updates( WPEP_BASE_FILE_PATH, true );

    if ( class_exists('\EDD_SL_Plugin_Updater' ) )
      do_action( 'wpep_plugin_update_registered' );
  }

}