<?php
namespace WPEP\Coordinator;

use WPEP\Controller as WPEP_Controller;

class ShortCode {

  public $course;
  public $lesson;
  public $misc;
  /**
   * @var ShortCode\Profile
   */
  public $profile;

  public function setup() {
    if( is_admin() && !( defined( 'DOING_AJAX' ) && DOING_AJAX ) )
      return;

    $this->course  = new ShortCode\Course();
    $this->lesson  = new ShortCode\Lesson();
    $this->misc    = new ShortCode\Misc();
    $this->profile = new ShortCode\Profile();
  }

}
