<?php

class WPEPCronController {

  public static function setup() {
    register_activation_hook(__FILE__, [ 'WPEPCronController', "_add_cron_events"] );

    register_deactivation_hook(__FILE__, [ 'WPEPCronController', "_remove_cron_events"] );
  }

  public static function _add_cron_events() {
    wp_schedule_event(time(), 'weekly', 'wpep_weekly_cron');
  }

  public static function _remove_cron_events() {
    wp_clear_scheduled_hook('wpep_weekly_cron');
  }

}

WPEPCronController::setup();