<div class="wpep-assessment-message-container wpep-assessment-failed-message-container">

  <?php if( $failed_visual_indicators ) : ?>
  <div class="large-percentage-container large-percentage-result-chars-<?php echo strlen( wpep_get_percentage( $score, false, '', '%', 0 ) ); ?>">
    <?php echo wpep_get_percentage( $score, false, '', '%', 0 ); ?>
  </div>
  <?php endif; ?>

  <div class="wpep-content-from-editor wpep-assessment-message wpep-assessment-failed-message">
    <?php echo wpep_format_content( $failed_message );?>
  </div>

  <h2 class="wpep-assessment-title-inner"><?php echo $assessment_title; ?></h2>

  <?php if( $failed_visual_indicators ) : ?>
  <ul class="wpep-assessment-row-overview wpep-assessment-row-overview-2">
    <li>
      <p class="wpep-hightlight"><?php echo $correct_answers; ?> of <?php echo $question_count; ?></p>
      <p class="wpep-text"><?php echo wpep_get_setting_translated( 'assessment-questions-correct' ); ?></p>
    </li>
    <li>
      <p class="wpep-hightlight"><?php echo wpep_get_percentage( $score, false, '', '%', 0 ); ?></p>
      <p class="wpep-text"><?php echo wpep_get_setting_translated( 'assessment-score' ); ?></p>
    </li>
  </ul>
  <?php endif; ?>

  <div class="wpep-assessment-operations-container">
    <?php if( $enable_view_questions ) : ?>
      <a class="wpep-view-assessment-questions" href="<?php echo $assessment_view_permalink; ?>"><?php echo wpep_get_setting_translated( 'assessment-view-questions' ); ?></a>
    <?php endif; ?>

    <?php do_action( "wpep_template_assessment_message_operations_before", $user_status ); ?>

    <?php if( $allow_submission ) : ?>
      <a class="wpep-retake-assessment wpep-assessment-primary-action" href="<?php echo $assessment_retake_permalink; ?>"><?php echo wpep_get_setting_translated( 'assessment-retake' ); ?></a>
    <?php endif; ?>

    <?php do_action( "wpep_template_assessment_message_operations_after", $user_status ); ?>

    <a href="<?php echo $course_permalink; ?>">
      <?php echo wpep_get_setting_translated( 'assessment-go-to-course' ); ?>
    </a>
  </div>
</div>

