<?php if( !is_user_logged_in()
    || !comments_open( get_the_ID() )
    || !isset( $wpep_post_comments_namespace )
) return; ?>

    <form class="wpep-post-comment-form"
          data-wpep-post-comment-namespace="<?php echo $wpep_post_comments_namespace; ?>"
          data-wpep-post-comment-post-id="<?php the_ID(); ?>"
          data-wpep-post-comment-parent-id="0"
    >
        <div class="wpep-notification wpep-notification-info wpep-hidden wpep-comment-content-required">
            <?php echo wpep_get_setting_translated( 'comments-notification-content-empty' ); ?>
        </div>

        <?php do_action( 'wpep_post_comments_redaction_top' ); ?>

        <div class="wpep-comment-author-container">
            <?php echo get_avatar( get_current_user_id(), 80, wpep_get_setting( 'user-profile-default-profile-picture' ) ); ?>
            <h2><?php echo wpep_content_user_profile_format_name( get_current_user_id() ); ?></h2>
        </div>
        <div class="wpep-post-comment-form-redaction">

            <?php do_action( 'comment_form_top' ); ?>

            <?php wpep_post_comments_form_editor( get_the_ID() );?>

            <p class="wpep-link-container wpep-link-container-right">
              <?php echo wpep_spinner_loader( false, 'wpep-post-comments-form-loader-container wpep-spinner-loader-container wpep-hidden', 'span' ); ?>

              <a class="wpep-submit-comment"><?php echo wpep_get_setting_translated( 'comments-button-submit' ); ?></a>

              <a class="wpep-cancel-reply-comment wpep-hidden"><?php echo wpep_get_setting_translated( 'comments-button-cancel-reply' ); ?></a>
            </p>
            <div class="clearfix"></div>
        </div>
        <div class="clearfix"></div>

        <?php do_action( 'comment_form', get_the_ID() ); ?>
    </form>
<?php do_action( 'comment_form_after' ); ?>