<?php $wpep_post_comments_namespace = apply_filters( 'wpep_post_comments_namespace_alias', 'none' );
      $comment_count_data           = wp_count_comments( get_the_ID() );
?>

<div class="wpep-post-comments-container"
     data-wpep-comment-count="<?php echo isset( $comment_count_data->total_comments ) ? $comment_count_data->total_comments : 0; ?>"
     data-wpep-comment-post-id="<?php echo get_the_ID(); ?>"
     data-wpep-comment-timestamp="<?php echo time(); ?>">
  <?php wpep_template_load( 'comments/filters.php', [ 'wpep_post_comments_namespace' => $wpep_post_comments_namespace ] ); ?>

  <?php wpep_template_load( 'comments/form.php', [ 'wpep_post_comments_namespace' => $wpep_post_comments_namespace ] ); ?>

  <div class="wpep-post-comments-loader-container wpep-hidden">
    <?php echo wpep_spinner_loader(); ?>
  </div>

  <div class="wpep-post-comments-list-container">
    <?php wpep_template_load( 'comments/list.php' ); ?>
  </div>
</div>
