<div class="<?php echo apply_filters( 'wpep_grid_item_class', 'offer-grid-item', $offer_id );?>">
  <?php if( $image != '' ) : ?>
  <div class="offer-image-container"><img class="offer-image" src="<?php echo $image; ?>" alt="<?php echo $title; ?>"/></div>
  <?php endif; ?>

  <h3 class="offer-title"><?php echo get_the_title( $offer_id );?></h3>
  <h4 class="offer-sub-title"><?php echo $sub_title; ?></h4>

  <div class="offer-description"><?php echo wpep_format_content( $description ); ?></div>

  <?php if( is_array( $information_map ) && !empty( $information_map ) ) : ?>
    <ul class="offer-information-container">
      <?php foreach( $information_map as $information_key => $information_value ) : ?>
        <li><strong><?php echo $information_key; ?>: </strong> <?php echo $information_value; ?></li>
      <?php endforeach; ?>
    </ul>
  <?php endif; ?>

  <?php if( $link != '' ) : ?>
  <div class="view-offer-container">
    <a href="<?php echo $link; ?>"
       class="view-offer"
       style="<?php echo wpep_implode_associative_array( apply_filters( 'wpep_grid_item_button_style_args', [], $offer_id ), ":", ";" ); ?>"
       target="_blank">
      <?php echo $link_text; ?>
    </a>
  </div>
  <?php endif; ?>
  <div class="clearfix"></div>
</div>
