<?php
set_time_limit(0);

global $wpdb;

require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );

$section_table_name = $wpdb->prefix . 'wpep_section';
$lesson_table_name  = $wpdb->prefix . 'wpep_section_lesson';

$sql = 'UPDATE `' . $lesson_table_name . '` l SET `post_id` = ( SELECT post_id FROM `' . $section_table_name . '` s WHERE s.id = l.section_id )';
$wpdb->query( $sql );

echo '<p>' . sprintf( __( "Handled value integrity on post_id column for : %s", "wpep" ), $lesson_table_name ) . '</p>';