<?php $tabs = wpep_content_user_profile_tabs( $user_information->ID ); ?>
<div class="wpep-tabs-container" data-tab-format="<?php echo wpep_get_setting( 'user-profile-tab-link-format' ); ?>">
  <select class="wpep-tab-select wpep-tab-title-items-<?php echo count( $tabs ); ?>">
    <?php foreach( $tabs as $tab_item_key => $tab_item ) : ?>
      <option value="<?php echo $tab_item_key; ?>"
              data-wpep-label="<?php echo sanitize_title( $tab_item['title'] ); ?>">
        <?php echo $tab_item['title']; ?><?php echo isset( $tab_item['entries_count'] ) ? ' (' . $tab_item['entries_count'] . ')' : '' ?>
      </option>
    <?php endforeach; ?>
  </select>
  <ul class="wpep-tab-title-list wpep-tab-title-items-<?php echo count( $tabs ); ?>">
    <?php foreach( $tabs as $tab_item_key => $tab_item ) : ?>
      <li class="wpep-tab-item"
          id="wpep-tab-item-<?php echo $tab_item_key; ?>"
          data-wpep-tab="<?php echo $tab_item_key; ?>"
        ><?php echo $tab_item['title']; ?><?php echo isset( $tab_item['entries_count'] ) ? ' <span>(' . $tab_item['entries_count'] . ')</span>' : '' ?></li>
    <?php endforeach; ?>
    <li class="wpep-tab-item wpep-tab-item-more">
      <span class="wpep-tab-item-more-text">...</span>
      <ul class="wpep-tab-item-more-items">

      </ul>
    </li>
  </ul>
  <div class="clearfix"></div>
  <div class="wpep-tab-content-list">
    <?php foreach( $tabs as $tab_item_key => $tab_item ) : ?>
      <div class="wpep-tab-item-content" id="wpep-tab-item-<?php echo $tab_item_key; ?>-content" data-wpep-tab="<?php echo $tab_item_key; ?>">
        <?php echo ( strpos( $tab_item['content'], '[' ) === 0 ? do_shortcode( $tab_item['content'] ) : $tab_item['content']  ); ?>
      </div>
    <?php endforeach; ?>
  </div>
  <div class="clearfix"></div>
</div>