<?php
/**
 * Course Grid Page template
 *
 * @package wpextplan
 */

if( !isset( $include_header ) || ( isset( $include_header ) && $include_header ) )
  wpep_template_header();

?>

<?php do_action( 'wpep_before_main_content' ); ?>

<div class="course-grid-container">
  <?php if( apply_filters( 'wpep_primary_content_display_header', wpep_get_setting( 'opt-course-heading' ) != '' ) ) : ?>
    <div class="course-grid-container-header <?php echo ( wpep_content_primary_has_categories_navigation() ? 'course-grid-main-head-with-categories' : ''); ?>">
      <h2 class="course-grid-container-title"><?php echo wpep_get_setting_translated( 'opt-course-heading' ); ?></h2>

      <?php if( apply_filters( 'wpep_primary_content_display_sub_heading', wpep_get_setting( 'opt-course-sub-heading' ) != '' ) ) : ?>
      <div class="course-grid-container-content">
        <?php echo wpep_format_content( wpep_get_setting_translated( 'opt-course-sub-heading' ) ); ?>
      </div>
      <?php endif; ?>
    </div>
  <?php endif; ?>

  <?php do_action( 'wpep_primary_content_category_list' ); ?>

  <?php do_action( 'wpep_primary_content_grid_list' ); ?>
</div>

<?php do_action( 'wpep_after_main_content' ); ?>

<?php 

if( !isset( $include_footer ) || ( isset( $include_footer ) && $include_footer ) )
  wpep_template_footer();

?>
