<?php

$thumbnail_id  = get_post_thumbnail_id( $item->ID );

$thumbnail     = ( $thumbnail_id == '' ? '' : get_post( $thumbnail_id, 'full' ) );
$thumbnail_img = ( isset( $thumbnail->guid ) ? $thumbnail->guid : '' );
$download_link = apply_filters(
  'wpep_ebook_link',
  ( wpep_get_setting_flag( 'ebook-redirect-display' ) ? get_permalink( $item->ID ) : get_post_meta( $item->ID, '_ebook_link', true ) ),
  $item->ID
)

?>
<div class="<?php echo apply_filters( 'wpep_grid_item_class', 'ebook-grid-item', $item->ID );?>">

  <div class="img-wrapper">
    <img src="<?php echo $thumbnail_img == '' ? WPEP_PLACEHOLDER_IMAGE : $thumbnail_img; ?>">
  </div><!-- .img-wraper -->

  <div class="btn-wrapper">

    <a href="<?php echo $download_link ?>"
       style="<?php echo wpep_implode_associative_array( apply_filters( 'wpep_grid_item_button_style_args', [], $item->ID ), ":", ";" ); ?>"
       class="download-ebook"
       target="_blank">
      <?php echo apply_filters( 'wpep_text_download_ebook', __( 'Download', 'wpep' ), $item->ID ); ?>
    </a>

  </div><!-- .btn-wraper -->
  <div class="clearfix"></div>
</div><!-- .ebook-grid-item -->
