<?php if( !empty( $search_result_list ) ) : ?>
  <ul class="wpep-search-results">
    <?php foreach( $search_result_list as $search_result ) : ?>
    <?php $li_class = 'wpep-post-type-' . $search_result['post_type']; ?>
    <?php $li_class .= ' ' . ( isset( $search_result['thumbnail_ribbon_text'] ) && $search_result['thumbnail_ribbon_text'] != '' ? 'wpep-has-ribbon' : 'wpep-no-ribbon' );?>
    <li class="<?php echo $li_class; ?>">
      <a href="<?php echo $search_result['permalink']; ?>">
        <div class="image-wrapper">
          <img src="<?php echo $search_result['thumbnail']; ?>">
        </div>

        <p><?php echo $search_result['title']; ?></p>
        <?php if( isset( $search_result['thumbnail_ribbon_text'] ) && $search_result['thumbnail_ribbon_text'] != ''  ) : ?>
        <p class="wpep-ribbon-text">
            <?php echo do_shortcode( $search_result['thumbnail_ribbon_text'] ); ?>
        </p>
        <?php endif; ?>
        <span class="clearfix"></span>
      </a>
    </li>
    <?php endforeach; ?>
  </ul>
<?php else : ?>
  <p class="wpep-notification wpep-notification-info"><?php echo wpep_get_setting_translated( 'search-no-results-found' ); ?></p>
<?php endif; ?>
