<div class="wpep-video-container">
  <?php echo wpep_get_video_source_output( $video, !empty( $jump_links ) ); ?>

  <?php if( isset( $description ) && $description != '' ) : ?>
    <?php echo wpep_format_content( $description ); ?>
  <?php endif; ?>

  <?php if( !empty( $jump_links ) ) : ?>
    <?php if( isset( $jump_links_title ) ) : ?>
      <h2 class="wpep-jump-link-title"><?php echo $jump_links_title; ?></h2>
    <?php endif; ?>

    <ul class="wpep-jump-link-list wpep-hidden">
      <?php foreach( $jump_links as $jump_link_time => $jump_link_title ) : ?>
        <li class="wpep-jump-link">
          <a href="#timestamp=<?php echo $jump_link_time; ?>">
            <div class="wpep-jump-link-time"><span><?php echo $jump_link_time; ?></span></div>
            <div class="wpep-jump-link-title"><?php echo $jump_link_title; ?></div>
          </a>
        </li>
      <?php endforeach; ?>
    </ul>
  <?php endif; ?>
</div>